xcode-select: error: tool ‘xcodebuild’ requires Xcode, but active developer directory ‘/Library/Developer/CommandLineTools’ is a command line tools instance

Solution:

Type below command in your terminal

sudo xcode-select -switch /Applications/Xcode.app/Contents/Developer

References:

  • https://stackoverflow.com/questions/17980759/xcode-select-active-developer-directory-error
  • https://github.com/nodejs/node-gyp/issues/569

You may also like...